Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetNoInsertion

Should node insertion and deletion be turned off?

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetNoInsertion(DM dm, PetscBool noInsert)

## Input Parameters

- dm - The `DM`

- noInsert - Should node insertion and deletion be turned off?

## Note

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricNoInsertion()`, `DMPlexMetricSetNoSwapping()`, `DMPlexMetricSetNoMovement()`, `DMPlexMetricSetNoSurf()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages